Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.math.cover
Class SpanCalculator.RowList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  net.sf.j3d.math.cover.SpanCalculator.RowList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

Enclosing class:
  SpanCalculator

    public static class SpanCalculator.RowList

extends ArrayList

See Also:
  Serialized Form

Constructor Summary
`SpanCalculator.RowList()`

Method Summary
`void` | `add(int index, Object o)`
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection c)`
`boolean` | `addAll(int index, Collection c)`
`boolean` | `contains(Object o)`

Methods inherited from class java.util.ArrayList
`clear, clone, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### SpanCalculator.RowList

    public SpanCalculator.RowList()

Method Detail

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `ArrayList`

### add

    public void add(int index,
                    Object o)

  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `ArrayList`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Collection`
  Specified by:
    `addAll` in interface `List`
  Overrides:
    `addAll` in class `ArrayList`

### addAll

    public boolean addAll(int index,
                          Collection c)

  Specified by:
    `addAll` in interface `List`
  Overrides:
    `addAll` in class `ArrayList`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `List`
  Overrides:
    `contains` in class `ArrayList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD